maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Luca Clementi <l.cleme...@cineca.it>
Subject Problem with the maven-assembly-plugin 2.2 beta 2
Date Tue, 05 Jun 2007 17:08:52 GMT

I have a problem with the maven assembly plugin.
When I issue a mvn install I get this error:
[INFO] Building jar: /home/clem/projects/aware/aware-designer/target/aware-designer-1.0-SNAPSHOT.jar
[INFO] ------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO] ------------------------------------------------------------------------
[INFO] Internal error in the plugin manager executing goal 'org.apache.maven.plugins:maven-assembly-plugin:2.2-beta-2-SNAPSHOT:attached':
Unable to find the mojo 'org.apache.maven.plugins:maven-assembly-plugin:2.2-beta-2-SNAPSHOT:attached'
in the plugin 'org.apache.maven.plugins:maven-assembly-plugin'
Component descriptor cannot be found in the component repository: org.codehaus.plexus.archiver.manager.ArchiverManagerdefault.
[INFO] ------------------------------------------------------------------------
[INFO] For more information, run Maven with the -e switch
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 6 seconds
[INFO] Finished at: Tue Jun 05 18:46:40 CEST 2007
[INFO] Final Memory: 8M/16M
[INFO] ------------------------------------------------------------------------


In my pom I have:
------------------------
      <plugin>
        <artifactId>maven-assembly-plugin</artifactId>
        <executions>
          <execution>
            <id>make-assembly</id> <!-- this is used for inheritance merges
-->
            <phase>package</phase> <!-- append to the packaging phase. -->
            <goals>
              <goal>attached</goal> <!-- goals == mojos -->
            </goals>
          </execution>
        </executions>
        <configuration>
          <archive>
            <manifest>
              <mainClass>org.aware.wda.WorkflowDesigner</mainClass>
            </manifest>
          </archive>
         <descriptorRefs>
            <descriptorRef>jar-with-dependencies</descriptorRef>
          </descriptorRefs>
        </configuration>
      </plugin>
---------------------------

If I force the version to 
<version>2.2-beta-1</version> 
every thing works fine.

Is this a problem on the repository or am I doing something wrong?


Thank you for any help,
Luca



---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message